library ieee;
use ieee.std_logic_1164.all;

library ADC_components;
use ADC_components.components.all;

entity TOP is
	port (
		clka: in  std_logic;
		clkb: in  std_logic;
		rsta: in  std_logic;
		rstb: in  std_logic;
		data: in  std_logic_vector(7 downto 0);
		qb:   out std_logic_vector(7 downto 0)
	);
end entity TOP;

architecture RTL of TOP is

  signal qa: std_logic_vector(7 downto 0);

begin

  uFF: FDR
    port map (
      clk  => clka,
      rst  => rsta,
      data => data,
      q    => qa
    );

  uFF_UNCONSTRAINED: FF_EMPTY
    port map (
      clk  => clkb,
      rst  => rstb,
      data => not qa,
      q    => qb
    );

end architecture RTL;
